#!/bin/sh
# $Id: gsepagif.sh,v 1.4 1998/04/23 01:44:59 nari Exp $
# output filter for EPSON LP-9200S

GS="/usr/local/bin/gs"
ERT="/usr/local/bin/ert"

SIZE=a4
DEV=epag
RES=300
EARG="-lang ESC/Page"
XOFF=-2.0
YOFF=-6.8

ARG="-q -dNOPAUSE -dSAFER -dBATCH"
ARG="$ARG -sPAPAERSIZE=$SIZE -sOUTPUTFILE=- -sDEVICE=$DEV"
ARG="$ARG -dEpagOffX=$XOFF -dEpagOffY=$YOFF"

 case $0 in
  *both.sh) ARG="$ARG -dDuplex";;
  *flip.sh) ARG="$ARG -dDuplex -DTumble";;
  *300.sh)  RES=300; EARG="$EARG RS=QK";;
  *600.sh)  RES=600; EARG="$EARG RS=FN";;
  esac

ARG="$ARG -r$RES -"

$GS $ARG | $ERT $EARG

